Name: xhost
Version: 1.0.7
Release: %mkrel 2
Summary: Server access control program for X
Group: Development/X11
Source: http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
License: MIT

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxau-devel >= 1.0.0
BuildRequires: libxmu-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
The xhost program is used to add and delete host names or user names to the
list allowed to make connections to the X server. In the case of hosts, this
provides a rudimentary form of privacy control and security. It is only
sufficient for a workstation (single user) environment, although it does limit
the worst abuses. Environments which require more sophisticated measures should
implement the user-based mechanism or use the hooks in the protocol for passing
other authentication data to the server.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

%files
%{_bindir}/xhost
%{_mandir}/man1/xhost.1%{_extension}


%changelog
* Fri Feb 12 2016 umeabot <umeabot> 1.0.7-2.mga6
+ Revision: 959319
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 tv <tv> 1.0.7-1.mga6
+ Revision: 837908
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.0.6-4.mga5
+ Revision: 739804
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.6-3.mga5
+ Revision: 690662
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.6-2.mga4
+ Revision: 530193
- Mageia 4 Mass Rebuild

* Sat Jul 20 2013 luigiwalser <luigiwalser> 1.0.6-1.mga4
+ Revision: 456610
- 1.0.6

* Mon Jan 14 2013 umeabot <umeabot> 1.0.5-2.mga3
+ Revision: 386998
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 tv <tv> 1.0.5-1.mga3
+ Revision: 257327
- new release

* Thu Jan 20 2011 pterjan <pterjan> 1.0.4-1.mga1
+ Revision: 26786
- Drop old stuff
- imported package xhost


* Tue Nov 02 2010 Thierry Vignaud <tv@mandriva.org> 1.0.4-1mdv2011.0
+ Revision: 591824
- new release

* Wed Nov 11 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.3-1mdv2010.1
+ Revision: 464708
- New version: 1.0.3

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.0.2-8mdv2009.1
+ Revision: 351078
- rebuild

* Mon Aug 04 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 1.0.2-7mdv2009.0
+ Revision: 263480
- Drop xhost.sh. It sets XAUTHORITY to the same value used when it is not set.

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.0.2-6mdv2009.0
+ Revision: 226044
- rebuild

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert to use upstream tarball, build requires and remove non mandatory local patches.

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.2-5mdv2008.1
+ Revision: 154732
- Updated BuildRequires and resubmit package.

* Tue Jan 15 2008 Christiaan Welvaart <spturtle@mandriva.org> 1.0.2-4mdv2008.1
+ Revision: 153294
- protect the $ (in xhost profile scriptlets)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.2-3mdv2008.1
+ Revision: 119060
- ship xhost profile scriptlet

* Tue Jul 17 2007 Colin Guthrie <cguthrie@mandriva.org> 1.0.2-1mdv2008.0
+ Revision: 52838
- New upstream release 1.0.2


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 20:17:57 (31598)
- X11R7.1

* Tue May 23 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-23 22:24:58 (31400)
- fill in a couple of missing descriptions

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

